<?php

namespace FiloBlu\ExtMagentoWidget\Block\Adminhtml\Widget;

class Form extends \Magento\Widget\Block\Adminhtml\Widget\Form {

    /**
     * Form with widget to select
     *
     * @return void
     */
    protected function _prepareForm() {
        /** @var \Magento\Framework\Data\Form $form */
        $form = $this->_formFactory->create();

        $fieldset = $form->addFieldset('base_fieldset', ['legend' => __('Widget')]);

        $fieldset->addField(
                'select_widget_type', 'select', [
            'label' => __('Widget Type'),
            'title' => __('Widget Type'),
            'name' => 'widget_type',
            'required' => true,
            'onchange' => "wWidget.validateField()",
            'options' => $this->_getWidgetSelectOptions(),
            'after_element_html' => $this->_getWidgetSelectAfterHtml()
                ]
        );

        $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
        $groupOptions = $objectManager->get('\FiloBlu\ExtMagentoWidget\Model\ResourceModel\Group\Collection')->toOptionArray();
        
        $fieldset->addField(
                'widget_display_customer_group', 'multiselect', [
            'name' => 'widget_display_customer_group[]',
            'label' => __('Customer Group'),
            'title' => __('Customer Group'),
            'values' => $groupOptions,
            'disabled' => false
                ]
        );

        $form->setUseContainer(true);
        $form->setId('widget_options_form');
        $form->setMethod('post');
        $form->setAction($this->getUrl('adminhtml/*/buildWidget'));
        $this->setForm($form);
    }

}
